Gtk_Viewport(3)

NAME - Gtk_Viewport

HEADER REQUIRED
#include <gtk--/viewport.h&gt;>

BASE CLASSES
Gtk_Bin(3)

PROPERTIES

shadow_type
    Type: GtkShadowType

view_window
    Type: GdkWindow*

bin_window
    Type: GdkWindow*

hadjustment
    Type: GtkAdjustment*

vadjustment
    Type: GtkAdjustment*

     .IP

PUBLIC MEMBER INDEX
    Gtk_Viewport();
    ~Gtk_Viewport();
    Gtk_Viewport( Gtk_Adjustment &hadjustment, Gtk_Adjustment &vadjustment);
    Gtk_Viewport(GtkViewport *castitem);
    const Gtk_Adjustment * get_hadjustment() const;
    const Gtk_Adjustment * get_vadjustment() const;
    void  set_hadjustment( Gtk_Adjustment &adjustment);
    void  set_vadjustment( Gtk_Adjustment &adjustment);
    GtkShadowType  get_shadow_type() const;
    void  set_shadow_type(GtkShadowType type);
    GtkViewport*  gtkobj();
    const GtkViewport*  gtkobj() const;
    static bool  isGtkViewport(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkViewport  BaseObjectType;
    typedef GtkViewportClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ObjectHandle  hadjustment_, vadjustment_;

PRIVATE MEMBER INDEX
    static CppClassType  viewport_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS